Summary: op5 keepalive daemon
Name: op5kad
Version: 0.0.7
Release: op5.1
Group: op5/system-addons
License: GPLv2
Source: %name-%version.tar.gz
Requires: python
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
The op5 keepalive daemon ensures that daemons that should be running
are running if they should, or stopped properly if they shouldn't.
It provides a belts-and-suspenders sort of fallback for potentially
faulty daemons, shortening downtime in case of unknown bugs.


%prep
%setup -q


%install
rm -rf %buildroot
mkdir -p %buildroot%_bindir
cp op5kad.py %buildroot%_bindir/op5kad
mkdir -p %buildroot/etc/init.d
cp init.sh %buildroot%_sysconfdir/init.d/op5kad
mkdir -p %buildroot%_sysconfdir/op5kad/conf.d
cp kad.conf %buildroot%_sysconfdir/op5kad/kad.conf


%post
chkconfig op5kad on
#(re)start op5kad
/etc/init.d/op5kad restart

%files
%defattr(755, root, root)
%_bindir/op5kad
%_sysconfdir/init.d/op5kad
%_sysconfdir/op5kad


%clean
rm -rf %buildroot


%changelog
* Thu Jan 27 2011 Andreas Ericsson <ae@op5.se>
- Initial specfile creation
